/*
 Theme Name:   Woodmart Child
 Description:  Woodmart Child Theme
 Author:       XTemos
 Author URI:   http://xtemos.com
 Template:     woodmart
 Version:      1.0.0
 Text Domain:  woodmart
*/
#new_menu {
    margin-top: 20px;
}

#new_menu > ul {
    margin-right: 15px;
    margin-left: 15px;
}

#new_menu > ul > .menu-item {
    position: relative;
    display: inline-block;
    padding-top: 1px;
    line-height: 1.2;
    margin-right: 20px;
    padding-bottom: 20px;
    z-index: 100;
}

#new_menu .menu-item > a {
    padding: 0 0 5px 0;
}

#new_menu > ul > .menu-item > a::after {
    color: #000;
}

#new_menu > ul > .menu-item > a::before {
    content: '';
    position: absolute;
    top: 100%;
    left: 0;
    width: 0;
    height: 2px;
    background-color: var(--wd-primary-color);
    transition: width 0.4s cubic-bezier(0.175, 0.885, 0.32, 1.15);
}

#new_menu > ul > .menu-item:hover {
    color: var(--nav-color);
}

#new_menu > ul > .menu-item:hover > a::before,
#new_menu > ul > .current-menu-item > a::before {
    width: 100%;
}

#new_menu .menu-item:hover .sub-menu, .sub-menu:hover, #new_menu .menu-item > a:hover + .sub-menu {
    visibility: unset !important;
    opacity: 1 !important;
}

#new_menu .sub-menu {
    list-style: none;
    --sub-menu-color: var(--nav-color);
    --sub-menu-color-hover: var(--nav-color-hover);
    margin: 0;
    padding: 12px 20px;
    --wd-dropdown-width: 220px;
    min-height: var(--wd-dropdown-height);
    width: var(--wd-dropdown-width);
    position: absolute;
    top: calc(100% - 20px);
    left: 0;
    z-index: 380;
    background-color: var(--bgcolor-white);
    background-position: bottom right;
    background-clip: border-box;
    background-repeat: no-repeat;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.15);
    text-align: left;
    border-radius: var(--wd-brd-radius);
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.4s cubic-bezier(0.19, 1, 0.22, 1), visibility 0.4s cubic-bezier(0.19, 1, 0.22, 1), transform 0.4s cubic-bezier(0.19, 1, 0.22, 1);
    transform: translateY(15px) translateZ(0);
    /*pointer-events: none;*/
}

#new_menu .sub-menu li a {
    position: relative;
    display: flex;
    align-items: center;
    padding-top: 8px;
    padding-bottom: 8px;
    color: var(--sub-menu-color);
    font-size: 14px;
    line-height: 1.3;
}

#new_menu .sub-menu li a:hover, #new_menu .sub-menu li.current-menu-item a {
    color: #83b735;
}

.wahout.aicon_link {
    display: none;
}

.wahout.aicon_link.accesability {
    display: block;
    margin-left: 35px;
}
#access_container button.close_container.wahout {
    background: #83b735 !important;
}
#access_container button.close_container.wahout:hover {
    color : #fff !important;
}
#access_container button.close_container.wahout:hover {
    color : #fff !important;
}
.access:not(.access-mobile) .nav-link-text {
    display: none !important;
}
.access img {
    width: 20px !important;
    height: 20px !important;
    margin: 0 !important;
}
.access:not(.access-mobile) a {
    padding-left: 5px !important;
    padding-right: 0 !important;
}
.access:not(.access-mobile) .wd-dropdown-menu {
    padding: 15px 15px 0 15px !important;
}

.access .wd-dropdown-menu .access_container_inner{
    padding: 0 !important;
    margin: 0 !important;
    display: flex !important;
    flex-direction: column !important;
    gap: 10px !important;
}

.access .color_selector {
    display: block !important;
}

@media (min-width:1023px) and (max-width: 1224px) {
    .menu-opener:not(.has-bg) {
        min-width: 140px;
    }
}

/* ukryj drugi tooltip jeśli są zduplikowane */
.dce-tooltip .dce-tooltiptext:nth-of-type(n+2) {
  display: none !important;
}